Subject: Re: WARNING at local_bh_enable while tcp_retransmit

From: Ilya Loginov <[email-masked]>
Date: Wed, 8 Dec 2010 12:36:45 +0300

On Tue, 07 Dec 2010 21:56:19 +0100
Jarek Poplawski <[email-masked]> wrote:

> Hi, isn't any of your drivers disabling irqs on this path?

No. But we are in soft_irq because tcp_retransmit. So, may be,
interrupts were really disabled.

> (If no, what is the kernel version?)
> 
> Jarek P.

2.6.34. But this does not matter.

I am afraid of this is common problem in all network drivers using
dev_queue_xmit (for example bonding). I didn't see this problem before,
while I have no retransmits.

-- 
Ilya Loginov <[email-masked]>